NE_SSL_DNAME(3)

NAME
ne_ssl_readable_dname, ne_ssl_dname_cmp - SSL distinguished name handling

SYNOPSIS

#include <ne_ssl.h>

const char *ne_ssl_readable_dname(const ne_ssl_dname *dname);

int ne_ssl_dname_cmp(const ne_ssl_dname *dn1, const ne_ssl_dname *dn2);

DESCRIPTION

The ne_ssl_readable_dname function creates a single-line, human-readable string out of an ne_ssl_dname object. The returned string is malloc()-allocated, and must be free()d by the caller.

The ne_ssl_dname_cmp function compares two distinguished names, and returns zero if they are equal, or non-zero otherwise.

RETURN VALUE

ne_ssl_readable_dname returns a malloc-allocated string, and never NULL.

EXAMPLES

See ne_ssl_cert_subject for an example use of ne_ssl_readable_dname.

SEE ALSO

ne_ssl_cert_subject

AUTHOR

Joe Orton <neon@lists.manyfish.co.uk>

    Author.

COPYRIGHT